cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"this is a summary","dbFieldName":"string"}'field
Update field
Update common properties of a field (name, description, dbFieldName). For other property changes, use the convert field API
PATCH
/
table
/
{tableId}
/
field
/
{fieldId}
cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"this is a summary","dbFieldName":"string"}'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1The description of the field.
Example:
"this is a summary"
Field(column) name in backend database. Limitation: 1-63 characters, can only contain letters, numbers and underscore, case sensitive, cannot be duplicated with existing db field name in the table.
Minimum string length:
1Pattern:
^\w{0,63}$Response
200
Updated Successfully
Last modified on March 5, 2026
Was this page helpful?
⌘I

